from pydantic import Field, BaseModel


class CreateTipSchema(BaseModel):
    amount: int = Field(
        ...,
        description="Amount of the tip in RUB currency",
        ge=10,
    )
    text: str | None = Field(
        default=None,
        description="Text of the tip",
    )
    from_user: str | None = Field(
        default=None,
        description="User who sent the tip",
    )